#include <idt.h>
#include <vm86.h>

int kmain(void *mb)
{
    // initialize stuff
    idtInitialize();
    vm86Initialize();
    
    // set vesa mode 0x105
    word mode = 0x105;
    VM86Regs regs = { .AX = 0x4F02, .BX = mode };
    vm86Int(0x10, &regs);

    return 0x1234;
}

